#include<bits/stdc++.h>
using namespace std;
long long ste(long long a,long long b){
    if(b==1){
        return a;
    }
    long long ans=ste(a,b/2);
    if(b%2==1){
        return ans*ans*a;
    }
    return ans*ans;
}
int main(){
    long long N,M,K;
    cin>>N>>M>>K;
    if(K==1){
        cout<<ste(M,N)<<endl;
    }else{
        cout<<N*ste(M,N-1)-N*ste(M,N-2)<<endl;
    }

    return 0;
}
